<!DOCTYPE html>
<html lang="es">
  <head>
  <title>Cliente</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,500,700" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.4/css/bootstrap.min.css" crossorigin="anonymous">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../CSS/estilo.css" type="text/css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    <script src="https://www.gstatic.com/firebasejs/4.12.1/firebase.js"></script>
    <script src="https://www.gstatic.com/firebasejs/4.12.1/firebase-firestore.js"></script>
    <script type="text/javascript" src="../JS/cliente.js"></script>
    <script type="text/javascript" src="../JS/bd.js"></script>
  </head>
  <body onload="enCarga();">
    <header>
      <div class="container">
        <div class="row">

          <div class="col-md-6">
              <img src="../IMAGENES/logo_r1.png" alt="LogoCano" id="logo">
          </div>

          <div class="col-md-6">

            <ul class="social-header list-inline text-xs-right">
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-facebook fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-youtube fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-instagram fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
            </ul>

          </div>

        </div>
      </div>

      <div class="menu-bar text-xs-right">
        <nav class="container form-group" role="menu" >
          <ul class="menu-list list-inline">
              <li class="list-inline-item">
                  <a href="../HTML/index.html">Inicio</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/cliente.html">Cliente</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/vehiculo.html">Vehiculo</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/alquiler.html">Alquiler</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/contacto.html">Contacto</a>
                </li>
            </ul>
        </nav>
      </div>
    </header>
    <div class="row" id="contenedorFormulario">
      <div class="container">
        <div class="row">
            <div class="col-sm-12 text-xs-center form-group">
            <h2>Registro de Cliente</h2>
            </div>
        </div>
      </div>
      <form id="frmDatos">
        <div class="container" id="ocultalCliente">
          <div class="row">
            <div class="col-md-6">
                  <div class="input-group form-group">
                    <span class="input-group-addon">Cedula: </span>
                    <input id="cedula" class="form-control" type="text" maxlength="10" onblur="validarCedula()" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Nombres: </span>
                    <input id="nombres" class="form-control" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Ciudad: </span>
                    <input id="ciudad" class="form-control" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Telefono1: </span>
                    <input id="telefono1" class="form-control" onKeyPress="return soloNumeros(event)" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Genero: </span>
                    <select id="genero" class="form-control" disabled>
                    <option></option>
                    <option>MASCULINO</option>
                    <option>FEMENINO</option>
                  </select>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Fecha Nacimiento: </span>
                    <input id="fecha" class="form-control" type="date" onblur="calcularEdad();" disabled>
                  </div> 
            </div>
            <div class="col-md-6">
                <div class="input-group form-group">
                  <p><i class="fa fa-child" aria-hidden="true"></i></p>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Apellidos: </span>
                  <input id="apellidos" class="form-control" disabled>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Direccion: </span>
                  <input id="direccion" class="form-control" disabled>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Telefono2: </span>
                  <input id="telefono2" class="form-control" onKeyPress="return soloNumeros(event)" disabled>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Correo: </span>
                  <input id="correo" class="form-control" onblur="validateMail(this.value)" disabled>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Edad: </span>
                  <input  class="form-control" id="edad" name="edad" type="number" disabled>
                </div>
            </div>
          </div>
          <div class="row" id="divBoton">
              <div class="col-md-6">
                <div class="form-group">
                  <button type="button" name="button" class="btn btn-primary" id="btnGuardar"  onclick="guardarClienteValidado();" >Guardar</button>
                  <button type="button" name="button" class="btn btn-success" id="btnNuevo"  onclick="botonNuevo();">Nuevo</button>
                  <button type="button" name="button" class="btn btn-warning" id="btnBuscar"  onclick="botonBuscar();">Buscar</button>
                  <button type="button" name="button" class="btn btn-danger" id="btnCancelar" onclick="botonCancelar();">Cancelar</button>
                </div>
              </div>
            </div>
        </div>
      </form>
    </div>
    <div class="container">
      <div class="row" id="formBuscar">
        <div class="col-sm-6" >
          <form>
              <input id="searchTerm" type="text" onkeyup="buscarCliente();" class="form-control form-group"/>
              <button type="button" name="button" onclick="botonRegresar();" class="btn btn-primary">Regresar</button>
          </form>
        </div>
      </div>
    </div>
    
    <div class="row">
        <div class="col-sm-12">
          <table class="table" id="datos">
            <thead>
              <tr>
                <th>Cedula</th>
                <th>Nombres</th>
                <th>Ciudad</th>
                <th>Direccion</th>
                <th>Telefono1</th>
                <th>Genero</th>
                <th>Fec. Nacimiento</th>
                <th>Correo</th>
                <th>Accion</th>
              </tr>
            </thead>
            <tbody id="tbCliente">

            </tbody>
          </table>
        </div>
      </div>
      
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-sm-12 text-xs-center">
          &copy;2017 - Todos los derechos reservados. 
          </div>

        </div>
      </div>
    </footer>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="http://code.jquery.com/jquery-3.1.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
    <script src="https://use.fontawesome.com/025d1f53df.js"></script>
    <link href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet" >
    <script src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script>
      //importamos configuraciones de toastr
      toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "positionClass": "toast-bottom-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
      }
      </script>  
  </body>
</html>
